<?php

namespace App\Service;

use App\Model\Customer;

class CustomerService extends Service
{
    public function customerEdit($data,$user){
        list($status,$msg) = $this->customerRule($data,false);
        if(!$status) return [$status,$msg];


        return [true,''];
    }

    public function customerAdd($data,$user){
        list($status,$msg) = $this->customerRule($data);
        if(!$status) return [$status,$msg];

        return [true,''];
    }

    public function customerDel($data){
        if($this->isEmpty($data,'id')) return [false,'请选择数据！'];

        Customer::whereIn('id',$data['id'])->update([
            'del_time'=>time()
        ]);

        return [true,''];
    }

    public function customerDetail($data){
        if($this->isEmpty($data,'id')) return [false,'请选择数据！'];

        return [true,''];
    }

    public function customerList($data){
        $model = Customer::where('del_time',0)
            ->select('title','id','type')
            ->orderby('id', 'asc')
            ->where('type',$data['type']);

        if(! empty($data['title'])) $model->where('title', 'LIKE', '%'.$data['title'].'%');

        $list = $this->limit($model,'',$data);
        $list = $this->fillData($list);

        return [true, $list];
    }

    public function customerRule($data, $is_add = true){
        if($this->isEmpty($data,'type')) return [false,'客户模板类型不能为空'];

        return [true, $data];
    }

    public function fillData($data){
        if(empty($data['data'])) return $data;

        return $data;
    }
}
